

export HTRC_DEVENV_COMPLETE_HOME=`pwd`

if [ ! -d "$HTRC_DEVENV_COMPLETE_HOME/VirtualBox-VMs/" ] ; then
    echo "Creating directory:"
    echo "  $HTRC_DEVENV_COMPLETE_HOME/VirtualBox-VMs/"
fi

if [ -d "$HTRC_DEVENV_COMPLETE_HOME/VirtualBox-VMs/" ] ; then
    echo "Setting vboxmanage machinefolder property to:"
    echo "  $HTRC_DEVENV_COMPLETE_HOME/VirtualBox-VMs/"    
    vboxmanage setproperty machinefolder "$HTRC_DEVENV_COMPLETE_HOME/VirtualBox-VMs/"
else
    echo "Error: Failed to find directory:" >&2
    echo "  $HTRC_DEVENV_COMPLETE_HOME/VirtualBox-VMs/" >&2
fi


if [ ! -d "$HTRC_DEVENV_COMPLETE_HOME/vagrant.d/" ] ; then
    echo "Creating directory:"
    echo "  $HTRC_DEVENV_COMPLETE_HOME/vagrant.d/"
fi

if [ -d "$HTRC_DEVENV_COMPLETE_HOME/vagrant.d/" ] ; then
    echo "Setting environment variable VAGRANT_HOME to:"
    echo "  $HTRC_DEVENV_COMPLETE_HOME/vagrant.d/"    
    export VAGRANT_HOME="$HTRC_DEVENV_COMPLETE_HOME/vagrant.d/"
else
    echo "Error: Failed to find directory:" >&2
    echo "  $HTRC_DEVENV_COMPLETE_HOME/vagrant.d/" >&2
fi

